<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\Cases
{
    use \XTemplate\SubView;
    use \XTemplate\Test\Test;
    
    /**
     * TESTCASE 0015
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @ignore
     */
    class TestView0015 extends SubView
    {
        /**
         * Define the model interface
         */
        protected function defineModelInterface()
        {
            $this->defModel("news", "array", array());
        }
        
        protected function _render()
        {
            $arrNews = $this->getDatas("news");
            foreach ($arrNews as $objNews)
            {
                $objNewsTemplate = $this->getSectionClone("news");
                $objNewsTemplate[".newsheader h3"] = $objNews->strTitle;
                $objNewsTemplate[".newsheader span"] = $objNews->strDate;
                $objNewsTemplate[".image"]->appendHTML("<img src=\"". $objNews->strImg ."\" alt=\"\" />");
                $objNewsTemplate[".content"] = $objNews->strContent;
            }
        }
    }
    
    $objView = new TestView0015(dirname(__FILE__) . Test::PATH_SEPARATOR.  "test.xml");
    
    // Simulated news entries
    /**
     * @ignore
     */
    class News
    {
        public $strTitle = "";
        public $strDate = "";
        public $intID = "";
        public $strImg = "";
        public $strContent = "";
        
        public function __construct($strTitle, $strDate, $intID, $strImg, $strContent)
        {
            $this->strTitle = $strTitle;
            $this->strDate  = $strDate;
            $this->intID    = $intID;
            $this->strImg   = $strImg;
            $this->strContent = $strContent;
        }
    }
    
    $arrNews = array(
        new News("Testnews 01", "11/23/2011 - 2012", 0, "test.gif", "Lorem ipsum dolor sit amet, consectetuer adipiscing elit."),
        new News("Testnews 02", "11/24/2011 - 2012", 1, "test.gif", "Lorem ipsum dolor sit amet, consectetuer adipiscing elit."),
        new News("Testnews 03", "11/25/2011 - 2012", 2, "test.gif", "Lorem ipsum dolor sit amet, consectetuer adipiscing elit."),
        new News("Testnews 04", "11/26/2011 - 2012", 3, "test.gif", "Lorem ipsum dolor sit amet, consectetuer adipiscing elit."),
        new News("Testnews 05", "11/27/2011 - 2012", 4, "test.gif", "Lorem ipsum dolor sit amet, consectetuer adipiscing elit."),
        new News("Testnews 06", "11/28/2011 - 2012", 5, "test.gif", "Lorem ipsum dolor sit amet, consectetuer adipiscing elit."),
    );
    
    $objView->assign("news", $arrNews);
    $objView->render();
    echo $objView;
}
?>
