<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\UnitTests\DummyClasses
{
    use \XTemplate\Engine;
    
    /**
     * This is a dummy config interpretor which counts how many times it was created.
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @version     $Id$ 
     * @ignore
     */
    class DummyInterpretor extends \XTemplate\Core\ConfigInterpretor
    {
        /**
         * Instance count
         * @var int
         */
        private static $intCount = 0;
        
        /**
         * Returns how many times the interpretor has been created.
         * 
         * @return      int
         */
        public static function getCount()
        {
            return self::$intCount;
        }
        
        /**
         * Parses the config entry
         * 
         * @throws      XTemplate\Core\Exceptions\ConfigException
         */
        protected function parse()
        {
            self::$intCount++;
        }
    }
}
?>