<?php
/**
 * x:template - PHP based template engine
 * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
 * 
 * Released under the GPL License.
 */
namespace XTemplate\Test\UnitTests\DummyClasses
{
    use \XTemplate\Engine;
    
    /**
     * This is a dummy parser which allows access to some protected methods to test them.
     * 
     * @author      Tobias Pohlen
     * @package     xtemplate
     * @version     $Id$ 
     * @ignore
     */
    class DummySelector extends \XTemplate\Selectors\PathSelectorBase
    {
        /**
         * Selects the element
         * 
         * @param       string              $strOperator        The select operator (e.g. '#')
         * @param       string              $strArgument        Everything behinde the operator
         * @param       \XTemplate\Selectors\SelectorModel   $objModel
         * @throws      XTemplate\Selectors\Exceptions\SelectorException
         */
        public function performSelector($strOperator, $strArgument, \XTemplate\Selectors\SelectorModel $objModel)
        {
            $objModel->pushPath($strArgument);
        }
    }
}
?>