<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the x:template engine
    require_once "../../../Engine.php";
    
    /**
     * A simple view class demonstrating some selector features.
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class Example1 extends XTemplate\ComfortView
    {
        /**
         * Path to the template file relative to this class file.
         */
        const TEMPLATE = "template.html";
        
        protected function _render()
        {
            // The used methods of XTemplate\ElementList are explained later
            $this->select(".news.headline h1")->setContent("Headline");
            $this->select(".news.headline span")->setContent("01.01.1970");
            
            $this->select(".content div")->setContent("Lorem ipsum dolor sit amet..");
            
            $this->select(".content div:first-child")->addClass("first");
            $this->select(".content div:last-child")->addClass("last");
        }
    }
?>