<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the x:template engine
    require_once "../../../Engine.php";
    
    /**
     * A simple view class demonstrating some selector features.
     * This is the class from the first example with a shortened syntax.
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class Example2 extends XTemplate\ComfortView
    {
        /**
         * Path to the template file relative to this class file.
         */
        const TEMPLATE = "template.html";
        
        protected function _render()
        {
            // The used methods of XTemplate\ElementList are explained later
            // Old: $this->select(".news.headline h1")->setContent("Headline");
            // New: 
            $this[".news.headline h1"] = "Headline";
            
            // Old: $this->select(".news.headline span")->setContent("01.01.1970");
            // New:
            $this[".news.headline span"] = "01.01.1970";
            
            // Old: $this->select(".content div")->setContent("Lorem ipsum dolor sit amet..");
            // New:
            $this[".content div"] = "Lorem ipsum dolor sit amet..";
            
            // Old: $this->select(".content div:first-child")->addClass("first");
            // New:
            $this[".content div:first-child"]->addClass("first");
            
            // Old: $this->select(".content div:last-child")->addClass("last");
            $this[".content div:last-child"]->addClass("last");
        }
    }
?>