<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the x:template engine
    require_once "../../../Engine.php";
    
    /**
     * A simple class to demonstrate how to use models.
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class View extends XTemplate\ComfortView
    {
        /**
         * Path to the template file relative to this class file.
         */
        const TEMPLATE = "template.html";
        
        protected function _render()
        {
            // Request the news datas
            $objNews = $this->getDatas("news");
            
            $this["h1"] = $objNews->title;
            $this["h4"] = $objNews->subTitle;
            $this[".date"] = date("d.m.Y", $objNews->date);
            $this[".content"] = $objNews->content;
        }
        
        /**
         * Define the model interface
         */
        protected function defineModelInterface()
        {
            $this->defModel("news", "NewsModel");
        }
    }
?>