<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * 
     * @author Tobias Pohlen
     * @ignore
     */
    
    // Load the x:template engine
    require_once "../../../Engine.php";
    
    /**
     * A simple class to demonstrate how to use models.
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class View extends XTemplate\ComfortView
    {
        const TEMPLATE = "news_template.html";
        const TITLE = 0;
        const DATE = 1;
        const CONTENT = 2;
        const URL = 3;
        
        /**
         * Define the default models
         */
        protected function defineModelInterface()
        {
            $this->defModel("news", "array", array());
            $this->defModel("description", "string", "Lorem ipsum, dolor sit amet.");
        }
        
        /**
         * Render the template and the sections
         */
        protected function _render()
        {
            $this[".content"] = $this->getDatas("description");
            
            // Iterator over the assigned news
            foreach ($this->getDatas("news") as $arrNews)
            {
                // Create a new section clone
                $objSection = $this("news_entry");
                
                // Assign the values
                $objSection["h2"] = $arrNews[self::TITLE];
                $objSection[".date"] = $arrNews[self::DATE];
                $objSection[".content"] = $arrNews[self::CONTENT];
                $objSection["#continue"]->setAttribute("href", $arrNews[self::URL]);
            }
        }
    }
?>