<?php
    /**
     * x:template - PHP based template engine
     * Copyright (c) 2011 - 2012 by Tobias Pohlen <tobias.pohlen@xtemplate.net>
     * 
     * Released under the GPL License.
     * @ignore
     */

    /**
     * This selector allows you to select tags with their names. e.g.:
     * 
     * 'div$test'
     * 
     * @author      Tobias Pohlen
     * @version     $Id$ 
     * @package     xtemplate
     * @ignore
     */
    class MySelector extends XTemplate\Selectors\PathSelectorBase
    {
        /**
         * Selects the element
         * 
         * @param       string              $strOperator        The select operator (e.g. '$')
         * @param       string              $strArgument        Everything behinde the operator
         * @param       XTemplate\Selectors\SelectorModel   $objModel
         * @throws      XTemplate\Selectors\Exceptions\SelectorException
         */
        public function performSelector($strOperator, $strArgument, XTemplate\Selectors\SelectorModel $objModel)
        {
            $objModel->pushAttribute("@name='". $strArgument ."'");
        }
    }
?>