<?php
namespace XTemplate
{
    /**
     * This is the base class of all complete views. Complete views means the parser expects the input string to be a
     * complete HTML document. Anyway the result will be a complete HTML document. 
     * 
     * @author      Tobias Pohlen
     * 
     */
    abstract class View extends ViewBase
    {
        /**
         * Loads the template
         * 
         * @param       string              $strTemplate            This is a filename or a XML string
         * @throws      XTemplate\Exceptions\TemplateException
         */
        public function loadTemplate($strTemplate)
        {
            parent::loadTemplate($strTemplate);
            
            // Make shure the selectors only work on the body elements
            $objResult = $this["body"];
            if (count($objResult) === 1)
            {
                $this->getWorkingSection()->setSelectorNode($objResult[0]);
            }
        }
    }
}
   
